<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Search order</title>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>
<body>
<div class="container-fluid d-flex justify-content-center align-items-center pt-5">
    <h1>Search a new order</h1>
</div>
<div th:if="${error} == 'proposal'">
    <div class="container-fluid d-flex justify-content-center align-items-center pt-5 text-danger">
        <h2>You failed to propose !</h2>
    </div>
</div>
<div th:if="${error} == 'incident'">
    <div class="container-fluid d-flex justify-content-center align-items-center pt-5 text-danger">
        <h2>This incident is already in progress !</h2>
    </div>
</div>
<div class="container-fluid d-flex justify-content-center align-items-center pt-5">

    <table id="table" class="table">
        <thead>
        <tr>
            <th scope="col">Description</th>
            <th scope="col">Car</th>
            <th scope="col">Location from</th>
            <th scope="col">Location to</th>
        </tr>
        </thead>
        <tbody>
        <tr th:each="incident : ${incidents}">
            <td th:text="${incident.description}"></td>
            <td th:text="${incident.carBrand}+ ' ' + ${incident.carModel}"></td>
            <td th:text="${incident.locFrom}"></td>
            <td th:text="${incident.locTo}"></td>
            <td><a th:href="@{'/incident/' + ${incident.id}}">Propose my price</a></td>
        </tr>
        </tbody>
    </table>
</div>
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/popper.js@1.14.7/dist/umd/popper.min.js"
        integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1"
        crossorigin="anonymous"></script>
<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.3.1/dist/js/bootstrap.min.js"
        integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM"
        crossorigin="anonymous"></script>
</body>
</html>